org.eclnt.jsfserver.elements.componentnodes

## Class FILEUPLOADASYNCHRONOUSNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.FILEUPLOADASYNCHRONOUSNode

- All Implemented Interfaces:
    java.io.Serializable

      public class FILEUPLOADASYNCHRONOUSNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FILEUPLOADASYNCHRONOUSNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FILEUPLOADASYNCHRONOUSNode` | `bindActionListener(IActionListenerDelegation value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindArchivedirectory(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindAsynchronousuploadurl(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindComment(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindFileextensions(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindFilename(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindFileselectiondialog(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindFileselectiondialogtitle(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindImagereduction(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindInfopopuptype(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindLocalfilemode(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindMaxfilesize(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindMaxnumberoffiles(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindMaxsinglefilesize(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindMultiselect(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindOnerequestperfile(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindRendered(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setActionListener(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setAdapterbinding(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setArchivedirectory(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setAsynchronousuploadurl(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setAttributemacro(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setComment(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setConfiginfo(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setFileextensions(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setFilename(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setFileselectiondialog(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setFileselectiondialogtitle(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setId(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setImagereduction(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setInfopopuptype(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setLocalfilemode(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setMaxfilesize(int value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setMaxfilesize(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setMaxnumberoffiles(int value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setMaxnumberoffiles(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setMaxsinglefilesize(int value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setMaxsinglefilesize(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setMultiselect(boolean value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setMultiselect(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setOnerequestperfile(boolean value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setOnerequestperfile(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setReference(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setRendered(boolean value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setRendered(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setStylevariant(java.lang.String value)`
    `FILEUPLOADASYNCHRONOUSNode` | `setTrigger(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FILEUPLOADASYNCHRONOUSNode

          public FILEUPLOADASYNCHRONOUSNode()

  - ### Method Detail

    - #### setId

          public FILEUPLOADASYNCHRONOUSNode setId(java.lang.String value)

    - #### setActionListener

          public FILEUPLOADASYNCHRONOUSNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public FILEUPLOADASYNCHRONOUSNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public FILEUPLOADASYNCHRONOUSNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public FILEUPLOADASYNCHRONOUSNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setArchivedirectory

          public FILEUPLOADASYNCHRONOUSNode setArchivedirectory(java.lang.String value)

    - #### bindArchivedirectory

          public FILEUPLOADASYNCHRONOUSNode bindArchivedirectory(IDynamicContentBindingObject value)

    - #### setAsynchronousuploadurl

          public FILEUPLOADASYNCHRONOUSNode setAsynchronousuploadurl(java.lang.String value)

    - #### bindAsynchronousuploadurl

          public FILEUPLOADASYNCHRONOUSNode bindAsynchronousuploadurl(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public FILEUPLOADASYNCHRONOUSNode setAttributemacro(java.lang.String value)

    - #### setComment

          public FILEUPLOADASYNCHRONOUSNode setComment(java.lang.String value)

    - #### bindComment

          public FILEUPLOADASYNCHRONOUSNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public FILEUPLOADASYNCHRONOUSNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public FILEUPLOADASYNCHRONOUSNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFileextensions

          public FILEUPLOADASYNCHRONOUSNode setFileextensions(java.lang.String value)

    - #### bindFileextensions

          public FILEUPLOADASYNCHRONOUSNode bindFileextensions(IDynamicContentBindingObject value)

    - #### setFilename

          public FILEUPLOADASYNCHRONOUSNode setFilename(java.lang.String value)

    - #### bindFilename

          public FILEUPLOADASYNCHRONOUSNode bindFilename(IDynamicContentBindingObject value)

    - #### setFileselectiondialog

          public FILEUPLOADASYNCHRONOUSNode setFileselectiondialog(java.lang.String value)

    - #### bindFileselectiondialog

          public FILEUPLOADASYNCHRONOUSNode bindFileselectiondialog(IDynamicContentBindingObject value)

    - #### setFileselectiondialogtitle

          public FILEUPLOADASYNCHRONOUSNode setFileselectiondialogtitle(java.lang.String value)

    - #### bindFileselectiondialogtitle

          public FILEUPLOADASYNCHRONOUSNode bindFileselectiondialogtitle(IDynamicContentBindingObject value)

    - #### setImagereduction

          public FILEUPLOADASYNCHRONOUSNode setImagereduction(java.lang.String value)

    - #### bindImagereduction

          public FILEUPLOADASYNCHRONOUSNode bindImagereduction(IDynamicContentBindingObject value)

    - #### setInfopopuptype

          public FILEUPLOADASYNCHRONOUSNode setInfopopuptype(java.lang.String value)

    - #### bindInfopopuptype

          public FILEUPLOADASYNCHRONOUSNode bindInfopopuptype(IDynamicContentBindingObject value)

    - #### setLocalfilemode

          public FILEUPLOADASYNCHRONOUSNode setLocalfilemode(java.lang.String value)

    - #### bindLocalfilemode

          public FILEUPLOADASYNCHRONOUSNode bindLocalfilemode(IDynamicContentBindingObject value)

    - #### setMaxfilesize

          public FILEUPLOADASYNCHRONOUSNode setMaxfilesize(java.lang.String value)

    - #### bindMaxfilesize

          public FILEUPLOADASYNCHRONOUSNode bindMaxfilesize(IDynamicContentBindingObject value)

    - #### setMaxfilesize

          public FILEUPLOADASYNCHRONOUSNode setMaxfilesize(int value)

    - #### setMaxnumberoffiles

          public FILEUPLOADASYNCHRONOUSNode setMaxnumberoffiles(java.lang.String value)

    - #### bindMaxnumberoffiles

          public FILEUPLOADASYNCHRONOUSNode bindMaxnumberoffiles(IDynamicContentBindingObject value)

    - #### setMaxnumberoffiles

          public FILEUPLOADASYNCHRONOUSNode setMaxnumberoffiles(int value)

    - #### setMaxsinglefilesize

          public FILEUPLOADASYNCHRONOUSNode setMaxsinglefilesize(java.lang.String value)

    - #### bindMaxsinglefilesize

          public FILEUPLOADASYNCHRONOUSNode bindMaxsinglefilesize(IDynamicContentBindingObject value)

    - #### setMaxsinglefilesize

          public FILEUPLOADASYNCHRONOUSNode setMaxsinglefilesize(int value)

    - #### setMultiselect

          public FILEUPLOADASYNCHRONOUSNode setMultiselect(java.lang.String value)

    - #### bindMultiselect

          public FILEUPLOADASYNCHRONOUSNode bindMultiselect(IDynamicContentBindingObject value)

    - #### setMultiselect

          public FILEUPLOADASYNCHRONOUSNode setMultiselect(boolean value)

    - #### setOnerequestperfile

          public FILEUPLOADASYNCHRONOUSNode setOnerequestperfile(java.lang.String value)

    - #### bindOnerequestperfile

          public FILEUPLOADASYNCHRONOUSNode bindOnerequestperfile(IDynamicContentBindingObject value)

    - #### setOnerequestperfile

          public FILEUPLOADASYNCHRONOUSNode setOnerequestperfile(boolean value)

    - #### setReference

          public FILEUPLOADASYNCHRONOUSNode setReference(java.lang.String value)

    - #### setRendered

          public FILEUPLOADASYNCHRONOUSNode setRendered(java.lang.String value)

    - #### bindRendered

          public FILEUPLOADASYNCHRONOUSNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public FILEUPLOADASYNCHRONOUSNode setRendered(boolean value)

    - #### setStylevariant

          public FILEUPLOADASYNCHRONOUSNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public FILEUPLOADASYNCHRONOUSNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTrigger

          public FILEUPLOADASYNCHRONOUSNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public FILEUPLOADASYNCHRONOUSNode bindTrigger(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.